<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>NewHome</title>
    <h:outputStylesheet library="css" name="indeksLogowanie.css"/>
    <link rel="preconnect" href="https://fonts.gstatic.com"/>
    <link href="https://fonts.googleapis.com/css2?family=Lato&amp;display=swap" rel="stylesheet"/>
</h:head>
<h:body>
    <f:view>
        <div id="main">
            <div id="pasek">
                <div id="logo">
                    <h:graphicImage library="css" name="logo.png" width="60" height="60" />
                </div>
                <div class="menuButton" onclick='window.location.replace("index.xhtml");'>
                    <br/>
                    Strona Główna
                </div>
                <div class="menuButton">
                    <br/>
                    O nas
                </div>
                <div class="menuButton">
                    <br/>
                    Kontakt
                </div>
                <div id="spaceInMenu">
                </div>
                <div class="menuButton">
                    <br/>
                    Rejestracja
                </div>
                <div class="menuButton" onclick="Zalogowany()" >
                    <br/>
                    <h:outputLabel id="out1" value="#{InterfejsLogowania.komunikat}"/>
                </div>


                <div id="id01" class="modal">

                    <h:form class="modal-content animate" action="./index.xhtml" method="post">
                        <div class="imgcontainer">
                            <span onclick="document.getElementById('id01').style.display='none'" class="close" title="Close Modal">&times;</span>
                            <h:graphicImage library="css" name="logo.png" width="60" height="60" />
                        </div>

                        <div class="container">
                            <label ><b>Username</b></label>
                            <h:inputText  value="#{InterfejsLogowania.nazwatmp}" name="uname" />

                            <label ><b>Password</b></label>
                            <h:inputText  value="#{InterfejsLogowania.haslotmp}" name="pws" />

                            <h:commandButton type="submit" value="Login" onclick="#{InterfejsLogowania.zaloguj()}" onConfirmComplete="#{InterfejsLogowania.reload}"  />
                            <label>
                                <input type="checkbox" checked="checked" name="remember"/> Remember me
                            </label>
                        </div>

                        <div class="container" style="background-color:#f1f1f1">
                            <h:commandButton type="button" onclick="document.getElementById('id01').style.display='none'" class="cancelbtn">Cancel</h:commandButton>                           <span class="psw"> <a href="#">password?</a></span>
                        </div>
                    </h:form>
                </div>
            </div>
            <div id="content">
                <br/><br/>
                <div id="welcomePanel">
                    <div id="napis_newHome">
                        NewHome
                    </div>
                    <br/>
                    <div id="napis_twojeNoweLokum">
                        Twoje nowe lokum. TU I TERAZ
                    </div>
                    <br/>
                    <div id="napis_wyszukajpierwszaoferte">
                        Wyszukaj swoją pierwsza ofertę
                    </div>
                    <br/>
                 <div id="panelWyszukiwania">
                    <h:form>
                        <h:inputText value="#{InterfejsWyszukiwania.searchPhrase}"/>
                        <h:commandButton value="Wyszukaj" action="#{InterfejsWyszukiwania.wyszukiwanie}"/>
                    </h:form>
                    </div>
                </div>
            </div>
            <div id="footer">
                NewHome 2020 All rights reserved
            </div>
        </div>
    </f:view>
    <script type="application/javascript">
        // Get the modal
        var modal = document.getElementById('id01');

        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function(event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }

        function Zalogowany(){
            if(document.getElementById("out1").textContent == "Zaloguj się" ){
                document.getElementById('id01').style.display='block';
            }
            else
                {
                    window.location.replace("./zalogowany.xhtml")
                }

        }
    </script>
</h:body>

</html>
